Go to documentation repository
Documentation for Intellect 4.11.0-4.11.3. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
GET http://IP-address:port/web2/secure/kartas/
Request example:
GET http://127.0.0.1:8085/web2/secure/kartas/
Response example:
<kartas>
<karta>
<id>2</id>
<layers>
<layer>
<geo_h>10.0</geo_h>
<height>578</height>
<id>2</id>
<lat_bl>43.5905</lat_bl>
<lat_br>43.6875</lat_br>
<lat_c>43.6395</lat_c>
<lat_tl>43.5914</lat_tl>
<lat_tr>43.6885</lat_tr>
<lon_bl>43.4584</lon_bl>
<lon_br>43.4599</lon_br>
<lon_c>43.4809</lon_c>
<lon_tl>43.5018</lon_tl>
<lon_tr>43.5033</lon_tr>
<mapId>2</mapId>
<name>Layer 2</name>
<points>
<point>
<id>CAM:1</id>
<layerId>2</layerId>
<mapId>2</mapId>
<angle>0.0</angle>
<geo_angle>0.0</geo_angle>
<latitude>43.47727</latitude>
<longitude>43.602381</longitude>
<x>95.0</x>
<y>329.0</y>
</point>
</points>
<width>800</width>
<zoomDef>1.0</zoomDef>
<zoomMax>4.0</zoomMax>
<zoomMin>0.25</zoomMin>
<zoomStep>0.25</zoomStep>
</layer>
</layers>
<name>Map 2</name>
</karta>
</kartas>
Response parameters
| Parameter | Description |
|---|---|
<karta> group parameters | |
id | Map ID |
name | Map name |
layers | Layer list |
<layer> group parameters | |
geo_h | Height mark (see Configuring map binding to coordinate grid) |
height | Layer substrate height in pixels |
width | Layer substrate width in pixels |
id | Layer ID |
lat_bl | Latitude: bottom left corner |
lat_br | Latitude: bottom right corner |
lat_c | Latitude: center |
lat_tl | Latitude: top left corner |
lat_tr | Latitude: top right corner |
lon_bl | Longitude: bottom left corner |
lon_br | Longitude: bottom right corner |
lon_c | Longitude: center |
lon_tl | Longitude: top left corner |
lon_tr | Longitude: top right corner |
mapId | Map ID |
name | Layer name |
points | List of points on the layer |
zoomDef | Default scale |
zoomMax | Minimum scale |
zoomMin | Maximum scale |
zoomStep | Scale |
<point> group parameters | |
id | Object type and ID in the format TYPE:ID |
layerId | Layer ID |
mapId | Map ID |
angle | Object icon rotation angle |
geo_angle | Viewing angle (for camera, see Configuring the camera viewing angle display on the Map) |
latitude | Latitude (object coordinate) The parameter has non-zero value if:
|
longitude | Longitude (object coordinate) The parameter has non-zero value if:
|
x | The coordinate of the point relative to the substrate along the X axis |
y | The coordinate of the point relative to the substrate along the Y axis |